Someone needs to take jwz aside...

Zbigniew Lukasiak zzbbyy at
Thu Apr 21 13:07:21 BST 2011

On Wed, Apr 20, 2011 at 2:35 PM, David Cantrell <david at> wrote:
> On Wed, Apr 20, 2011 at 12:22:20PM +0100, Bill Crawford wrote:
>> If (as recently happened) you discover a dependency chain that leads
>> to CPAN complaining that you need a newer perl because it's a core
>> module ... it gets extra annoying.
> That particular bug was fixed a squillion years ago.

In 5.12.3 Term::ReadLine (already mentioned by someone here) still fails:

Running install for module 'Term::ReadLine'
The most recent version "1.07" of the module "Term::ReadLine"
is part of the perl-5.13.11 distribution. To install that, you need to run
  force install Term::ReadLine   --or--
  install F/FL/FLORA/perl-5.13.11.tar.gz
Running make test
  Can't test without successful make
Running make install
  Make had returned bad status, install seems impossible

Zbigniew Lukasiak

More information about the mailing list